# ScramblingText
`inherits Label`

### Usage
This class implements a 'glitch' effect for a label.

![showcase](scramblingtext.gif)

### Properties

| Type | Name | Default |
| ---- | ---- | ------- |
| `String` | chars | `ABCDEFGHIJKLMNOPQRSTUVWXYZ124567890` |
| `Bool` | scrambling | `False` |
| `Float` | speed | `15.0` |
| `Float` | duration | `1.0` |
| `Bool` | infinite | `False` (overridden by editor_hint) |

`chars`
Stores the character set used for the scramble effect.

`scrambling`
Whether or not the scrambling effect is active.

`speed`
How many times per second the text gets scrambled.

`duration`
How many times to scramble before revealing next character.

`infinite`
Whether or not the scrambling effect is infinite.

### Methods
| Returns | Name |
| ------- | ---- |
| `void` | `start()` |
| `void` | `set_text(text: String)` |
| `String` | `get_text()` |

#### start()
start the scrambling. This acts as a setter function for `scrambling`

#### set_text(text: String)
Setter for the `text` of the parent class `Label`

#### get_text() -> String
Getter for the `text` of the parent class `Label`

